Genivia - GSoapiOSURLData Class Reference

|  | Home | Documentation | GSoapiOSURLData Class Reference updated Wed Apr 8 2020 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Instance Methods | Private Attributes | List of all members
GSoapiOSURLData Class Reference

stores states for connection establishment, buffering soap request and response More...

`#import <gsoapios.h>`

Inheritance diagram for GSoapiOSURLData:
[legend]
Collaboration diagram for GSoapiOSURLData:
[legend]

## Instance Methods
(id) | - init
| < Set or get endpoint More...

## Private Attributes
NSString * | endpoint
NSString * | host
NSString * | soap_action
NSString * | http_method
NSString * | content_type
NSMutableData * | http_req_msg
NSData * | soap_req_msg
NSData * | soap_res_msg
int | port
int | req_content_length
int | received_length
bool | request_sent
double | timeout_interval
unsigned int | cache_policy
NSString * | user_name
NSString * | password

## Detailed Description

stores states for connection establishment, buffering soap request and response

The class stores the states for connection establishment, buffering soap request and response.

Class GSoapiOSURLData

## Method Documentation

- (id) init |  |  |

< Set or get endpoint

< Set or get host name < Set or get soap action < Set or get HTTP method < Set or get content type < Set or get HTTP request message < Set or get SOAP request < Set or get SOAP response < Set or get port < Set or get received message length < Set or get the flag for the first time sending < Set or get request message length < Set or get timeout interval < Set or get cache policy < Set or get user ID for authentication < Set or get password for authentication

Constructor

## Member Data Documentation

- (unsigned int) cache_policy
| readwritenonatomicassignprivate

- (NSString *) content_type
| readwritenonatomicretainprivate

- (NSString *) endpoint
| readwritenonatomicretainprivate

- (NSString *) host
| readwritenonatomicretainprivate

- (NSString *) http_method
| readwritenonatomicretainprivate

- (NSMutableData *) http_req_msg
| readwritenonatomicretainprivate

- (NSString *) password
| readwritenonatomicretainprivate

- (int) port
| readwritenonatomicassignprivate

- (int) received_length
| readwritenonatomicassignprivate

- (int) req_content_length
| readwritenonatomicassignprivate

- (bool) request_sent
| readwritenonatomicassignprivate

- (NSString *) soap_action
| readwritenonatomicretainprivate

- (NSData *) soap_req_msg
| readwritenonatomicretainprivate

- (NSData *) soap_res_msg
| readwritenonatomicretainprivate

- (double) timeout_interval
| readwritenonatomicassignprivate

- (NSString *) user_name
| readwritenonatomicretainprivate

The documentation for this class was generated from the following files:

- gsoapios.h
- gsoapios.mm